Bug 224292 - Unable to duplicate templates correctly.
Unable to duplicate templates correctly.
Status: RESOLVED FIXED
Product: platform
Classification: Unclassified
Component: Templates
7.3
Macintosh (x86) Mac OS X
: P2 (vote)
: 7.3
Assigned To: Martin Entlicher
issues@platform
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2012-12-28 20:40 UTC by esmithbss
Modified: 2013-01-04 02:29 UTC (History)
1 user (show)

See Also:
Issue Type: DEFECT
:


Attachments
IDE Log File (238.38 KB, application/octet-stream)
2012-12-28 20:40 UTC, esmithbss
Details

Note You need to log in before you can comment on or make changes to this bug.
Description esmithbss 2012-12-28 20:40:30 UTC
Created attachment 129746 [details]
IDE Log File

When creating a duplicate template within the "Tools->Templates" wizard, selecting a template (ex.  FileType) and choosing to "Duplicate" the template results in an open editor with an empty file.

If the editor is closed without changing anything and then re-opened, the editor opens an empty file.
Comment 1 Ondrej Vrabec 2013-01-02 14:03:29 UTC
should be consistent with "Open in Editor" in the Templates panel - this should be disabled. FileType, Action, probably all NetBeans module templates consist of not just one but multiple template files and thus should not be editable.
Comment 2 Martin Entlicher 2013-01-03 14:55:24 UTC
Fixed by changeset:   243787:421697c694b4
http://hg.netbeans.org/core-main/rev/421697c694b4
Comment 3 Quality Engineering 2013-01-04 02:29:08 UTC
Integrated into 'main-golden', will be available in build *201301040001* on http://bits.netbeans.org/dev/nightly/ (upload may still be in progress)
Changeset: http://hg.netbeans.org/main-golden/rev/421697c694b4
User: mentlicher@netbeans.org
Log: #224292: Use the same condition for open in editor and duplicate.


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2012, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo